Bug 136984 - textproc/xerces-2 port no longer needs gcc_pic patch in FreeBSD 7.2
Summary: textproc/xerces-2 port no longer needs gcc_pic patch in FreeBSD 7.2
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-ports-bugs mailing list
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2009-07-22 09:50 UTC by Meena Vyas
Modified: 2010-06-29 16:20 UTC (History)
0 users

See Also:


Attachments
patch-xerxes-c2 (1.50 KB, text/x-diff; charset="iso 8859-15")
2009-07-25 10:33 UTC, Tilman Keskinoz
no flags Details
patch-xerxes-c2 (1.50 KB, text/x-diff; charset="iso 8859-15")
2009-07-25 10:42 UTC, Tilman Keskinoz
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Meena Vyas 2009-07-22 09:50:02 UTC

Fix: 

For this we need to manually modify "files/filepatch-src-xercesc-Makefile.incl" and change "-lgcc_pic" to "-lgcc" 

I think there is no gcc_pic in FreeBSD

Basically I think this patch needs to be removed now
http://www.freebsd.org/cgi/cvsweb.cgi/ports/textproc/xerces-c2-devel/files/patch-src-xercesc-Makefile.incl?rev=1.2;content-type=text%2Fplain
How-To-Repeat: cd /usr/ports/textproc/xerces-c2; make install
cd /usr/ports/textproc/xerces-c2-devel; make install
selected Use ICU transcoder option. Build thread safe version of library.

I got an error
"/usr/bin/ld: can not find -lgcc_pic"
Comment 1 Edwin Groothuis freebsd_committer 2009-07-22 12:27:28 UTC
State Changed
From-To: open->open

n/a
Comment 2 Tilman Keskinoz freebsd_committer 2009-07-25 10:33:26 UTC
I suggest the attached patch.

Maintainer, please approve!
Comment 3 Tilman Keskinoz freebsd_committer 2009-07-25 10:42:03 UTC
Szia Janos!

The following PR affects also the xerces-c2-devel port, which you maintain.
Please approve the attached patch

regards
arved

----------  Forwarded Message  ----------

Subject: Re: ports/136984: textproc/xerces-2 port no longer needs gcc_pic 
patch in FreeBSD 7.2
Date: Saturday 25 July 2009
From: Tilman Linneweh <arved@freebsd.org>
To: bug-followup@freebsd.org, meena.vyas@sun.com, kenm@icarz.com

I suggest the attached patch.

Maintainer, please approve!

-------------------------------------------------------
Comment 4 Tilman Keskinoz freebsd_committer 2009-07-25 10:42:07 UTC
State Changed
From-To: open->feedback

I proposed a patch and asked both maintainers for feedback
Comment 5 Philip M. Gollucci freebsd_committer 2010-01-18 07:26:47 UTC
ping....
Comment 6 dfilter service freebsd_committer 2010-06-29 16:11:34 UTC
stefan      2010-06-29 15:11:26 UTC

  FreeBSD ports repository

  Modified files:
    textproc/xerces-c2   Makefile 
    textproc/xerces-c2-devel Makefile 
  Removed files:
    textproc/xerces-c2/files patch-src-xercesc-Makefile.incl 
    textproc/xerces-c2-devel/files patch-src-xercesc-Makefile.incl 
  Log:
  In textproc/xerces-c2 and textproc/xerces-c2-devel, use -lgcc_pic only on
  systems < 7.0-RELEASE.
  
  PR:             136984
  Submitted by:   Meena <meena.vyas@sun.com>
  Patch by:       arved
  Approved by:    maintainer timeout (>11 months)
  Feature safe:   yes
  
  Revision  Changes    Path
  1.29      +4 -0      ports/textproc/xerces-c2-devel/Makefile
  1.3       +0 -11     ports/textproc/xerces-c2-devel/files/patch-src-xercesc-Makefile.incl (dead)
  1.27      +4 -0      ports/textproc/xerces-c2/Makefile
  1.2       +0 -11     ports/textproc/xerces-c2/files/patch-src-xercesc-Makefile.incl (dead)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 7 Stefan Walter freebsd_committer 2010-06-29 16:12:07 UTC
State Changed
From-To: feedback->closed

Patch committed (with minor spelling corrections), thanks!